Subject: DirectoryIndex/Indexes with Client Auth not working

From: Jan-Piet Mens <[email-masked]>
Date: Thu, 21 Nov 2002 09:03:51 +0100 (CET)

Apache/2.0.43 (Unix) mod_ssl/2.0.43 OpenSSL/0.9.6b

When I configure a virtual SSL host with basic auth, I can access
the following URLs without problem:

	https://server.name/
	https://server.name/subdir/index.html

Getting a directory index and/or trying https://server.name/subdir and
wanting the index.html is impossible: I get an error 403 returned. There
is no error_log entry, just an access_log entry.

My configuration is currently in an .htaccess file:

	<Limit GET HEAD>
		SSLRequireSSL
		SSLOptions      FakeBasicAuth +StrictRequire
		SSLVerifyClient require
		SSLVerifyDepth  10
		SSLOptions      +FakeBasicAuth +StrictRequire
		DirectoryIndex  index.cgi index.html
		Options Indexes FollowSymLinks ExecCGI
		AuthName        "RSC RA Authentication"
		AuthType        Basic
		AuthUserFile    /etc/httpd/conf/httpd.passwd
		require         valid-user
	</Limit>

If I leave out the `require' directive, the DirectoryIndex is processed
(but I am of course not authenticated).

I repeat: If I access a file directly, all is fine.

What am I doing wrong ?

Thanks & regards,
	-JP

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]